/**
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.datatypes.dTML;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Value</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getStr <em>Str</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getIval <em>Ival</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getDval <em>Dval</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getValue()
 * @model
 * @generated
 */
public interface Value extends EObject
{
  /**
   * Returns the value of the '<em><b>Str</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Str</em>' attribute.
   * @see #setStr(String)
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getValue_Str()
   * @model
   * @generated
   */
  String getStr();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getStr <em>Str</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Str</em>' attribute.
   * @see #getStr()
   * @generated
   */
  void setStr(String value);

  /**
   * Returns the value of the '<em><b>Ival</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Ival</em>' attribute.
   * @see #setIval(int)
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getValue_Ival()
   * @model
   * @generated
   */
  int getIval();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getIval <em>Ival</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Ival</em>' attribute.
   * @see #getIval()
   * @generated
   */
  void setIval(int value);

  /**
   * Returns the value of the '<em><b>Dval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Dval</em>' attribute.
   * @see #setDval(double)
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getValue_Dval()
   * @model
   * @generated
   */
  double getDval();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getDval <em>Dval</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Dval</em>' attribute.
   * @see #getDval()
   * @generated
   */
  void setDval(double value);

} // Value
